


**论文题目：地方性商业银行设立村镇银行的风险效应：基于资产配置视角**

**主要变量：被解释变量Z值（Z_score）衡量银行风险；核心解释变量为主发起村镇银行（treatxpost）

**个体层面控制变量：总资产收益率rota；资本充足率car；流动性比率lr；银行规模size；运营效率cir；收入结构income

**宏观层面控制变量：GDP增长率gdp；货币供应增长率m2；消费价格指数cpi



**————————正文————————**

****表1  基准回归结果****
use "C:\Users\admin\Desktop\数据（黄细嘉等）.dta", clear //命令调用数据或手动打开数据均可

sort i t
xtset i t

xtreg Z_score treatxpost i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\基准回归.doc", replace tstat bdec(3) tdec(2) ctitle(1) //结果输出在word文档中，下同

xtreg Z_score treatxpost size rota car lr cir income i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\基准回归.doc", append tstat bdec(3) tdec(2) ctitle(2)

xtreg Z_score treatxpost size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\基准回归.doc", append tstat bdec(3) tdec(2) ctitle(3)

****表2  Goodman-Bacon分解结果****
bacondecomp Z_score treatxpost, ddetail ddline(lpattern(dash) lcolor(gs12))


****图1  交叠双重差分事件分析法****

//TWFE事件分析法
gen Dyear=t-Ei
gen pre14=(Dyear==-14&treat==1)
gen pre13=(Dyear==-13&treat==1)
gen pre12=(Dyear==-12&treat==1)
gen pre11=(Dyear==-11&treat==1)
gen pre10=(Dyear==-10&treat==1)
gen pre9=(Dyear==-9&treat==1)
gen pre8=(Dyear==-8&treat==1)
gen pre7=(Dyear==-7&treat==1)
gen pre6=(Dyear==-6&treat==1)
gen pre5=(Dyear==-5&treat==1)
gen pre4=(Dyear==-4&treat==1)
gen pre3=(Dyear==-3&treat==1)
gen pre2=(Dyear==-2&treat==1)
gen pre1=(Dyear==-1&treat==1)
gen current=(Dyear==0&treat==1)
gen post1=(Dyear==1&treat==1)
gen post2=(Dyear==2&treat==1)
gen post3=(Dyear==3&treat==1)
gen post4=(Dyear==4&treat==1)
gen post5=(Dyear==5&treat==1)
gen post6=(Dyear==6&treat==1)
gen post7=(Dyear==7&treat==1)
gen post8=(Dyear==8&treat==1)
gen post9=(Dyear==9&treat==1)
gen post10=(Dyear==10&treat==1)
gen post11=(Dyear==11&treat==1)
gen post12=(Dyear==12&treat==1)
gen post13=(Dyear==13&treat==1)
gen post14=(Dyear==14&treat==1)
gen post15=(Dyear==15&treat==1)
gen post16=(Dyear==16&treat==1)
xtreg Z_score pre* current post* size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
coefplot,keep(pre5 pre4 pre3 pre2 pre1 current post1 post2 post3 post4 post5 post6 post7 post8 post9 post10) vertical yline(0) addplot(line @b @at) ciopts(recast(rcap))scheme(sl mono) levels(95 95)

//CSDID事件分析法
csdid Z_score, time(t) ivar(i) gvar(Ei)
csdid_estat event, window(-5 10) estore(csdid)
csdid_plot


****表3 风险资产结构性"量变"效应分析****

//贷款资产量变
xtreg Z_score treatxpost size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\资产量变.doc", replace tstat bdec(3) tdec(2) ctitle(TWFE)

xtreg pro_loa treatxpost size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\资产量变.doc", append tstat bdec(3) tdec(2) ctitle(TWFE)

xtreg Z_score pro_loa treatxpost size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\资产量变.doc", append tstat bdec(3) tdec(2) ctitle(TWFE) //贷款资产结构变化


xtreg pro_int treatxpost size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\资产量变.doc", append tstat bdec(3) tdec(2) ctitle(TWFE)

xtreg Z_score pro_int treatxpost size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\资产量变.doc", append tstat bdec(3) tdec(2) ctitle(TWFE) //同业资产结构变化


****表4 风险资产风险性"质变"效应分析****


xtreg Z_score c_pro_loa size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\资产质变.doc", replace tstat bdec(3) tdec(2) ctitle(1)

xtreg Z_score X_loa c_pro_loa treatxpost Treat_loa size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\资产质变.doc", append tstat bdec(3) tdec(2) ctitle(2)

xtreg NPL treatxpost size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\资产质变.doc", append tstat bdec(3) tdec(2) ctitle(3) //贷款资产"风险"质变

xtreg Z_score c_pro_int  size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\资产质变.doc", append tstat bdec(3) tdec(2) ctitle(4)

xtreg Z_score X_int c_pro_int treatxpost Treat_int size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\资产质变.doc", append tstat bdec(3) tdec(2) ctitle(5) //同业资产"风险"质变

**注：如文中模型构建部分指出，为了缓解多重共线性问题，此处的风险资产变量均经中心化处理（代码中c_pro_loa即经中心化处理的pro_loa；X_loa即treatxpost与经中心化处理的pro_loa的交互项）


****表5  风险效应异质性分析****

xtreg Z_score treatxpost size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\异质性.doc", replace tstat bdec(3) tdec(2) ctitle(TWFE)

xtreg Z_score DDD1 treatxpost size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\异质性.doc", append tstat bdec(3) tdec(2) ctitle(TWFE) //资源配置效率

xtreg Z_score DDD2 treatxpost size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\异质性.doc", append tstat bdec(3) tdec(2) ctitle(TWFE) //多元融资渠道

xtreg Z_score DDD3 treatxpost size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\异质性.doc", append tstat bdec(3) tdec(2) ctitle(TWFE) //多元业务创收-无风险收入

xtreg Z_score DDD4 treatxpost size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\异质性.doc", append tstat bdec(3) tdec(2) ctitle(TWFE) //多元业务创收-非利息收入

xtreg Z_score DDD5 treatxpost size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\异质性.doc", append tstat bdec(3) tdec(2) ctitle(TWFE) //发起强度

clear

**————————附录————————**


****附表1  主要变量描述性统计****

use "C:\Users\admin\Desktop\数据（黄细嘉等）.dta", clear //重新调用数据

asdoc sum Z_score lnZ NPL treatxpost ln_num_1 size rota car lr cir income gdp m2 cpi pro_loa pro_int any_rota any_nonrisk any_nonin any_dfc any_perc, save(描述性统计.doc),replace

****附表2的结果与正文表1处理过程和结果相同，此处不再重复****


****附图1 倾向得分匹配效果 及 附表3 PSM-DID回归结果****

//附图1部分
sort i t
xtset i t
gen tmp = runiform()
sort tmp
psmatch2 treatxpost size rota car lr cir income, out(Z_score) logit neighbor(1) common caliper(.1) ties
pstest, both
twoway(kdensity _pscore if _treated==1,legend(label(1 "Treat")))(kdensity _pscore if _treated==0, legend(label(2 "Control"))),xtitle(Pscore) title("Before Matching") //匹配前（图左）
twoway(kdensity _pscore if _treated==1,legend(label(1 "Treat")))(kdensity _pscore if (_weight!=1&_weight!=.), legend(label(2 "Control"))),xtitle(Pscore) title("After Matching") //匹配后（图右）

//附表3部分
gen common=_support
drop if common == 0 //删除落在共同支撑域外的样本 
drop if _weight==. //删除没有匹配的的样本 
xtreg Z_score _treated i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\PSM-DID.doc", replace tstat bdec(3) tdec(2) ctitle(TWFE)
xtreg Z_score _treated size rota car lr cir income i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\PSM-DID.doc", append tstat bdec(3) tdec(2) ctitle(TWFE)
xtreg Z_score _treated size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\PSM-DID.doc", append tstat bdec(3) tdec(2) ctitle(TWFE) //PSM-DID
clear

****附表4  其他稳健性检验****

use "C:\Users\admin\Desktop\数据（黄细嘉等）.dta", clear //重新调用数据
sort i t
xtset i t

xtreg Z_score ln_num_1 size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\其他稳健性.doc", replace tstat bdec(3) tdec(2) ctitle(TWFE) //更换核心解释变量

xtreg NPL treatxpost size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\其他稳健性.doc", append tstat bdec(3) tdec(2) ctitle(TWFE) //更换被解释变量1

xtreg lnZ treatxpost size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i)
outreg2 using "C:\Users\admin\Desktop\其他稳健性.doc", append tstat bdec(3) tdec(2) ctitle(TWFE) //更换被解释变量2

drop if (t+2006) == 2008
drop if (t+2006) == 2009
drop if (t+2006) == 2020
drop if (t+2006) == 2021
drop if (t+2006) == 2022
sort i t
xtset i t
xtreg Z_score treatxpost size rota car lr cir income gdp m2 cpi i.t, fe vce(cluster i) 
outreg2 using "C:\Users\admin\Desktop\其他稳健性.doc", append tstat bdec(3) tdec(2) ctitle(TWFE) //排除金融危机和新冠疫情的干扰
clear

****附图2  安慰剂检验****
//生成备用矩阵
clear
mat b=J(500,1,0)    
mat se=J(500,1,0)
mat p=J(500,1,0)
//生成伪处理组
forvalues i = 1/500{
use "C:\Users\admin\Desktop\数据（黄细嘉等）.dta", clear
xtset i t
keep if t==7     
sample 104,count 
keep i
save matchcity.dta,replace
merge 1:m i using "C:\Users\admin\Desktop\数据（黄细嘉等）.dta"
gen treat1=(_merge==3)
save matchcity`i'.dta,replace
//生成伪政策变量
use "C:\Users\admin\Desktop\数据（黄细嘉等）.dta", clear
bsample 1,strata(i)
keep t
save matchyear.dta,replace
mkmat t,matrix(sampleyear)
//进行一次回归
use matchcity`i'.dta,replace
xtset i t
gen time1=0
foreach j of numlist 1/210{
replace time1=1 if (i==`j' & t>=sampleyear[`j',1])
}
gen DID1=time1*treat1
global X " size rota car lr cir income gdp m2 cpi "
qui reghdfe Z_score DID1 $X ,absorb(t i) vce(cluster i)

mat b[`i',1]= _b[DID1]
mat se[`i',1]= _se[DID1]
scalar df_r=e(N)-e(df_m)-1
mat p[`i',1]=2*ttail(df_r,abs(_b[DID1]/_se[DID1]))
}
svmat b,names(coef)
svmat se,names(se)
svmat p,names(pvalue)
drop if pvalue==.
label var pvalue p值
label var coef1 估计系数
//画图
twoway(scatter pvalue1 coef1,xlabel(-0.6(0.1)0.6,grid) yline(0.1,lp(shortdash)) xtitle(估计系数) ytitle(p值) msymbol(smcircle_hollow) mcolor(blue) legend(off))(kdensity coef1)
forvalue i=1/500{
erase matchcity`i'.dta
}
clear
**注：如数据路径有所变更，以上3个数据调用路径要调整为新路径，安慰剂检验代码方才可顺利运行

****附表5  中介效应Sobel检验****
use "C:\Users\admin\Desktop\数据（黄细嘉等）.dta", clear //重新调用数据
tabulate i, generate(i_dum)
tabulate t, generate(t_dum)
sgmediation Z_score,mv(pro_loa)iv(treatxpost)cv(size rota car lr cir income gdp m2 cpi i_dum1-i_dum210 t_dum1-t_dum17) //信贷资产量变sobel检验
sgmediation Z_score,mv(pro_int)iv(treatxpost)cv(size rota car lr cir income gdp m2 cpi i_dum1-i_dum210 t_dum1-t_dum17) //同业资产量变sobel检验
clear

********特别声明：本文及附录中结果均在Stata/MP17版本下运行以上代码得出


